Package org.apache.synapse.commons.transaction

## Class TranscationManger

- java.lang.Object
- - org.apache.synapse.commons.transaction.TranscationManger

-     public class TranscationManger
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static org.apache.commons.logging.Log` | `log` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TranscationManger()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Connection` | `addConnection​(DataSource ds)` |
    `static void` | `beginTransaction()` |
    `static void` | `bindConnection​(Connection conn)` |
    `static boolean` | `checkConnectionAlreadyUse​(Connection conn)` |
    `static void` | `delistResource​(int flag, long key)` |
    `static void` | `endTransaction​(boolean insideSynapse, long key)` |
    `static Connection` | `getConnection()` |
    `static int` | `getStatus()` |
    `static Transaction` | `getTransaction()` |
    `static TransactionManager` | `getTransactionManager()` |
    `static boolean` | `isThreadHasEnlistment()` |
    `static void` | `lookUp​(Context txContext)` |
    `static void` | `removeConnectionUsed​(long key)` |
    `static void` | `removeTransaction​(long key)` |
    `static void` | `rollbackTransaction​(boolean insideSynapse, long key)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static final org.apache.commons.logging.Log log

  - ### Constructor Detail

    - #### TranscationManger

          public TranscationManger()

  - ### Method Detail

    - #### lookUp

          public static void lookUp​(Context txContext)
                             throws Exception

      Throws:
        `Exception`

    - #### checkConnectionAlreadyUse

          public static boolean checkConnectionAlreadyUse​(Connection conn)
                                                   throws SQLException

      Throws:
        `SQLException`

    - #### removeConnectionUsed

          public static void removeConnectionUsed​(long key)

    - #### addConnection

          public static Connection addConnection​(DataSource ds)
                                          throws Exception

      Throws:
        `Exception`

    - #### getConnection

          public static Connection getConnection()

    - #### isThreadHasEnlistment

          public static boolean isThreadHasEnlistment()

    - #### bindConnection

          public static void bindConnection​(Connection conn)
                                     throws Exception

      Throws:
        `Exception`

    - #### delistResource

          public static void delistResource​(int flag,
                                            long key)
                                     throws Exception

      Throws:
        `Exception`

    - #### removeTransaction

          public static void removeTransaction​(long key)

    - #### rollbackTransaction

          public static void rollbackTransaction​(boolean insideSynapse,
                                                 long key)
                                          throws Exception

      Throws:
        `Exception`

    - #### endTransaction

          public static void endTransaction​(boolean insideSynapse,
                                            long key)
                                     throws Exception

      Throws:
        `Exception`

    - #### beginTransaction

          public static void beginTransaction()
                                       throws Exception

      Throws:
        `Exception`

    - #### getTransactionManager

          public static TransactionManager getTransactionManager()
                                                          throws Exception

      Throws:
        `Exception`

    - #### getTransaction

          public static Transaction getTransaction()
                                            throws Exception

      Throws:
        `Exception`

    - #### getStatus

          public static int getStatus()
                               throws Exception

      Throws:
        `Exception`